EPPPoll (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0503.rtk.xml.EPPPoll class

### com.tucows.oxrs.epp0503.rtk.xml

# Class EPPPoll

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0503.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0503.rtk.xml.EPPPoll`

Implemented Interfaces:
  epp_Action, epp_ActionOperations, epp_Poll, epp_PollOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class EPPPoll`
`extends EPPXMLBase`
`implements epp_Poll`

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPPoll()`
  `EPPPoll(String xml)`

  ## Method Summary
  `void` | `fromXML(String xml)` Parses the poll response XML.
  `epp_PollRsp` | `getResponseData()` Accessor method for the domain info request data.
  `void` | `setRequestData(epp_PollReq value)` Accessor method for the domain info request data.
  `String` | `toXML()` Builds request XML from the request data of the EPP command.

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPPoll

    public EPPPoll()

### EPPPoll

    public EPPPoll(String xml)
                throws epp_XMLException,
                       epp_Exception

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException,
                       epp_Exception

> Parses the poll response XML. If the response contains the resData tag, EPPPoll will attend to extract the tag name of the first child tag of resData. This tag name will be used as a class name. The resulting class must implement the PollResData interface. By default EPPPoll will look in the com.tucows.oxrs.epp0503.rtk.xml.poll package for the parser classes (eg. domaintranfer). If it's not found in there then the RTK property "poll.parser.extension.packages" will be used to supply other package names for searching. So, let's say the first child of resData is "domain:trnData". Non-alphanumeric characters are stripped out of the tag name and the parser class "domaintrnData" is searched for first in "com.tucows.oxrs.epp0503.rtk.xml.poll". It turns out that this class is found in this location, so searching stops there. EPPPoll then asks an instance of domaintransfer to "fromXML()" the XML node. The parser classes will attempt to populate an epp_PollResData (including the union inside there). This data is then retrieved and put into m_res_data of epp_PollRsp. If "domaintrnData" was not found in the default package, then the RTK property "poll.parser.extension.packages" is loaded. This must be a comma separated list of packages names in which the class search will be continued.
> Specified by:
>   fromXML in interface epp_ActionOperations
> See Also:
>   `RTKBase.getRTKProperties()`

### getResponseData

    public epp_PollRsp getResponseData()

> Accessor method for the domain info request data. Must be set to for this command.
> Specified by:
>   getResponseData in interface epp_PollOperations
> Returns:
>   epp_LoginRsp

### setRequestData

    public void setRequestData(epp_PollReq value)

> Accessor method for the domain info request data. Must be set to for this command.
> Specified by:
>   setRequestData in interface epp_PollOperations
> Parameters:
>   `value` - epp_LoginReq

### toXML

    public String toXML()
                throws epp_XMLException

> Builds request XML from the request data of the EPP command.
> Specified by:
>   toXML in interface epp_ActionOperations
> Returns:
>   the xml String.
> Throws:
>   `epp_XMLException` - if required data is missing.

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS